Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233112 - avc: denied { net_bind_service }
Summary: avc: denied { net_bind_service }
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Daniel Walsh
QA Contact:
URL: http://rhts.lab.boston.redhat.com/cgi...
Whiteboard:
Depends On:
Blocks: 230752
TreeView+ depends on / blocked
 
Reported: 2007-03-20 15:03 UTC by Tim Burke
Modified: 2012-10-16 11:28 UTC (History)
5 users (show)

Fixed In Version: RHBA-2007-0544
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 16:38:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0544 normal SHIPPED_LIVE selinux-policy bug fix update 2007-11-08 14:16:49 UTC

Comment 1 Daniel Walsh 2007-03-20 15:08:25 UTC
Fixed in selinux-policy-2.4.6-45.el5

Comment 2 RHEL Product and Program Management 2007-03-21 21:45:16 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 5 Eduard Benes 2007-09-21 18:44:32 UTC
Up to now, together with Petr Muller, we were not lucky reproducing/triggering 
this bug as described in the comment #0. Could you please let me know whether 
you are still experiencing the problem with the latest selinux-policy available 
at the link below? Thank you.

  http://porkchop.devel.redhat.com/brewroot/packages/selinux-policy/2.4.6/
93.el5/noarch/

Checking rules related to the reported AVC message shows 1 newly added rule 
(the first one in the list below) that should fix the bug:

.qa.[root@pipa02 tps]# sesearch --all -s bluetooth_t -t bluetooth_t --class 
capability --perms net_bind_service
Found 3 av rules:
   allow bluetooth_t bluetooth_t : capability { net_bind_service net_admin 
net_raw ipc_lock sys_tty_config }; 
   dontaudit bluetooth_t bluetooth_t : capability net_bind_service ; 
   allow bluetooth_t bluetooth_t : capability net_bind_service ; 


Comment 6 Eduard Benes 2007-09-26 20:17:01 UTC
The latest policy is available here:

http://porkchop.devel.redhat.com/brewroot/packages/selinux-policy/2.4.6/99.el5/
noarch/

Comment 8 errata-xmlrpc 2007-11-07 16:38:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0544.html



Note You need to log in before you can comment on or make changes to this bug.